libetonyek::KEYThemeCollector Class Reference documentation

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Attributes | List of all members
libetonyek::KEYThemeCollector Class Reference

`#include <KEYThemeCollector.h>`

Inheritance diagram for libetonyek::KEYThemeCollector:

## Public Member Functions
| KEYThemeCollector (KEYDictionary &dict, KEYLayerMap_t &masterPages, KEYSize &size, const KEYDefaults &defaults)
virtual | ~KEYThemeCollector ()
virtual void | collectPresentation (const boost::optional< KEYSize > &size)
virtual void | collectLayer (const boost::optional< ID_t > &id, bool ref)
virtual void | collectPage (const boost::optional< ID_t > &id)
virtual void | startSlides ()
virtual void | endSlides ()
virtual void | startThemes ()
virtual void | endThemes ()
virtual void | startPage ()
virtual void | endPage ()
virtual void | startLayer ()
virtual void | endLayer ()
Public Member Functions inherited from libetonyek::KEYCollectorBase
| KEYCollectorBase (KEYDictionary &dict, const KEYDefaults &defaults)
| ~KEYCollectorBase ()
virtual void | collectCellStyle (const boost::optional< ID_t > &id, const boost::optional< KEYPropertyMap > &props, const boost::optional< std::string > &ident, const boost::optional< std::string > &parentIdent, bool ref, bool anonymous)
virtual void | collectCharacterStyle (const boost::optional< ID_t > &id, const boost::optional< KEYPropertyMap > &props, const boost::optional< std::string > &ident, const boost::optional< std::string > &parentIdent, bool ref, bool anonymous)
virtual void | collectConnectionStyle (const boost::optional< ID_t > &id, const boost::optional< KEYPropertyMap > &props, const boost::optional< std::string > &ident, const boost::optional< std::string > &parentIdent, bool ref, bool anonymous)
virtual void | collectGraphicStyle (const boost::optional< ID_t > &id, const boost::optional< KEYPropertyMap > &props, const boost::optional< std::string > &ident, const boost::optional< std::string > &parentIdent, bool ref, bool anonymous)
virtual void | collectLayoutStyle (const boost::optional< ID_t > &id, const boost::optional< KEYPropertyMap > &props, const boost::optional< std::string > &ident, const boost::optional< std::string > &parentIdent, bool ref, bool anonymous)
virtual void | collectListStyle (const boost::optional< ID_t > &id, const boost::optional< KEYPropertyMap > &props, const boost::optional< std::string > &ident, const boost::optional< std::string > &parentIdent, bool ref, bool anonymous)
virtual void | collectParagraphStyle (const boost::optional< ID_t > &id, const boost::optional< KEYPropertyMap > &props, const boost::optional< std::string > &ident, const boost::optional< std::string > &parentIdent, bool ref, bool anonymous)
virtual void | collectPlaceholderStyle (const boost::optional< ID_t > &id, const boost::optional< KEYPropertyMap > &props, const boost::optional< std::string > &ident, const boost::optional< std::string > &parentIdent, bool ref, bool anonymous)
virtual void | collectSlideStyle (const boost::optional< ID_t > &id, const boost::optional< KEYPropertyMap > &props, const boost::optional< std::string > &ident, const boost::optional< std::string > &parentIdent, bool ref, bool anonymous)
virtual void | collectTabularStyle (const boost::optional< ID_t > &id, const boost::optional< KEYPropertyMap > &props, const boost::optional< std::string > &ident, const boost::optional< std::string > &parentIdent, bool ref, bool anonymous)
virtual void | collectVectorStyle (const boost::optional< ID_t > &id, const boost::optional< KEYPropertyMap > &props, const boost::optional< std::string > &ident, const boost::optional< std::string > &parentIdent, bool ref, bool anonymous)
virtual void | collectGeometry (boost::optional< ID_t > &id, boost::optional< KEYSize > &naturalSize, boost::optional< KEYSize > &size, boost::optional< KEYPosition > &position, boost::optional< double > &angle, boost::optional< double > &shearXAngle, boost::optional< double > &shearYAngle, boost::optional< bool > &horizontalFlip, boost::optional< bool > &verticalFlip, boost::optional< bool > &aspectRatioLocked, boost::optional< bool > &sizesLocked)
virtual void | collectBezier (const boost::optional< ID_t > &id, const KEYPathPtr_t &path, bool ref)
virtual void | collectGroup (const boost::optional< ID_t > &id, const KEYGroupPtr_t &group)
virtual void | collectImage (const boost::optional< ID_t > &id, const KEYImagePtr_t &image)
virtual void | collectLine (const boost::optional< ID_t > &id, const KEYLinePtr_t &line)
virtual void | collectShape (const boost::optional< ID_t > &id)
virtual void | collectBezierPath (const boost::optional< ID_t > &id)
virtual void | collectPolygonPath (const boost::optional< ID_t > &id, const KEYSize &size, unsigned edges)
virtual void | collectRoundedRectanglePath (const boost::optional< ID_t > &id, const KEYSize &size, double radius)
virtual void | collectArrowPath (const boost::optional< ID_t > &id, const KEYSize &size, double headWidth, double stemRelYPos, bool doubleSided)
virtual void | collectStarPath (const boost::optional< ID_t > &id, const KEYSize &size, unsigned points, double innerRadius)
virtual void | collectConnectionPath (const boost::optional< ID_t > &id, const KEYSize &size, double middleX, double middleY)
virtual void | collectCalloutPath (const boost::optional< ID_t > &id, const KEYSize &size, double radius, double tailSize, double tailX, double tailY, bool quoteBubble)
virtual void | collectData (const boost::optional< ID_t > &id, const RVNGInputStreamPtr_t &stream, const boost::optional< std::string > &displayName, const boost::optional< unsigned > &type, bool ref)
virtual void | collectUnfiltered (const boost::optional< ID_t > &id, const boost::optional< KEYSize > &size, bool ref)
virtual void | collectFiltered (const boost::optional< ID_t > &id, const boost::optional< KEYSize > &size)
virtual void | collectLeveled (const boost::optional< ID_t > &id, const boost::optional< KEYSize > &size)
virtual void | collectFilteredImage (const boost::optional< ID_t > &id, bool ref)
virtual void | collectMovieMedia (const boost::optional< ID_t > &id)
virtual void | collectMedia (const boost::optional< ID_t > &id)
virtual void | collectStylesheet (const boost::optional< ID_t > &id, const boost::optional< ID_t > &parent)
virtual void | collectText (const boost::optional< ID_t > &style, const std::string &text)
virtual void | collectTab ()
virtual void | collectLineBreak ()
virtual void | collectTextPlaceholder (const boost::optional< ID_t > &id, bool title, bool ref)
virtual void | collectTableSizes (const KEYTable::RowSizes_t &rowSizes, const KEYTable::ColumnSizes_t &columnSizes)
virtual void | collectTableCell (unsigned row, unsigned column, const boost::optional< std::string > &content, unsigned rowSpan, unsigned columnSpan)
virtual void | collectCoveredTableCell (unsigned row, unsigned column)
virtual void | collectTableRow ()
virtual void | collectTable ()
virtual void | collectNote ()
virtual void | collectStickyNote ()
virtual void | startGroup ()
virtual void | endGroup ()
virtual void | startParagraph (const boost::optional< ID_t > &style)
virtual void | endParagraph ()
virtual void | startText (bool object)
| Start of a block that can contain text. More...
virtual void | endText ()
| End of a text block. More...
virtual void | startLevel ()
virtual void | endLevel ()
Public Member Functions inherited from libetonyek::KEYCollector
virtual | ~KEYCollector ()=0

## Private Attributes
KEYLayerMap_t & | m_masterPages
KEYSize & | m_size

## Additional Inherited Members
Protected Member Functions inherited from libetonyek::KEYCollectorBase
bool | isCollecting () const
void | setCollecting (bool collecting)
const KEYDefaults & | getDefaults () const
const KEYLayerPtr_t & | getLayer () const
const KEYObjectList_t & | getNotes () const
const KEYStickyNotes_t & | getStickyNotes () const

## Constructor & Destructor Documentation

libetonyek::KEYThemeCollector::KEYThemeCollector | ( | KEYDictionary & | dict,
|  | KEYLayerMap_t & | masterPages,
|  | KEYSize & | size,
|  | const KEYDefaults & | defaults
| ) |  |

libetonyek::KEYThemeCollector::~KEYThemeCollector | ( |  | ) |
| virtual

## Member Function Documentation

void libetonyek::KEYThemeCollector::collectLayer | ( | const boost::optional< ID_t > & | id,
|  | bool | ref
| ) |  |
| virtual

Reimplemented from libetonyek::KEYCollectorBase.

void libetonyek::KEYThemeCollector::collectPage | ( | const boost::optional< ID_t > & | id | ) |
| virtual

Implements libetonyek::KEYCollector.

void libetonyek::KEYThemeCollector::collectPresentation | ( | const boost::optional< KEYSize > & | size | ) |
| virtual

Implements libetonyek::KEYCollector.

void libetonyek::KEYThemeCollector::endLayer | ( |  | ) |
| virtual

Reimplemented from libetonyek::KEYCollectorBase.

void libetonyek::KEYThemeCollector::endPage | ( |  | ) |
| virtual

Reimplemented from libetonyek::KEYCollectorBase.

void libetonyek::KEYThemeCollector::endSlides | ( |  | ) |
| virtual

Implements libetonyek::KEYCollector.

void libetonyek::KEYThemeCollector::endThemes | ( |  | ) |
| virtual

Implements libetonyek::KEYCollector.

void libetonyek::KEYThemeCollector::startLayer | ( |  | ) |
| virtual

Reimplemented from libetonyek::KEYCollectorBase.

void libetonyek::KEYThemeCollector::startPage | ( |  | ) |
| virtual

Reimplemented from libetonyek::KEYCollectorBase.

void libetonyek::KEYThemeCollector::startSlides | ( |  | ) |
| virtual

Implements libetonyek::KEYCollector.

void libetonyek::KEYThemeCollector::startThemes | ( |  | ) |
| virtual

Implements libetonyek::KEYCollector.

## Member Data Documentation

KEYLayerMap_t& libetonyek::KEYThemeCollector::m_masterPages
| private

Referenced by collectLayer().

KEYSize& libetonyek::KEYThemeCollector::m_size
| private

Referenced by collectPresentation().

The documentation for this class was generated from the following files:

- KEYThemeCollector.h
- KEYThemeCollector.cpp